GyotoSpectrum.h File Reference

Spectrum of a simple object (e.g. Star). More...

`#include "GyotoRegister.h"`
`#include "GyotoObject.h"`
`#include <GyotoSmartPointer.h>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Gyoto::Spectrum::Generic
| Spectrum emitted by an Astrobj. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Register
| Gyoto registers.
namespace | Gyoto::Spectrum
| Spectrum of a simple object (e.g. a Gyoto::Astrobj::Star).

## Typedefs

typedef Gyoto::SmartPointer< Gyoto::Spectrum::Generic > | Gyoto::Spectrum::Subcontractor_t(Gyoto::FactoryMessenger *fmp, std::vector< std::string > const &)
| A function to build instances of a specific Spectrum::Generic sub-class.

## Functions

template<typename T>
SmartPointer< Spectrum::Generic > | Gyoto::Spectrum::Subcontractor (FactoryMessenger *fmp, std::vector< std::string > const &plugins)
| Subcontractor template.
void | Gyoto::Spectrum::Register (std::string kind, Gyoto::Spectrum::Subcontractor_t *scp)
| Make a Spectrum kind known to the Factory.
Gyoto::Spectrum::Subcontractor_t * | Gyoto::Spectrum::getSubcontractor (std::string name, std::vector< std::string > &plugins, int errmode=0)
| Query the Spectrum register.
void | Gyoto::Spectrum::initRegister ()
| Empty the Spectrum register.

## Variables

Register::Entry * | Gyoto::Spectrum::Register_
| The Spectrum register.

## Detailed Description

Spectrum of a simple object (e.g. Star).

Light emitted by an astronomical object